using System;
using System.ComponentModel;
public class PhoneRingEvent {
  public delegate void PhoneRingEventHander(object sender, PhoneRingEventArgs e);
  private const string RingEvent = "RingEvent";
  private EventHandlerList Events = new EventHandlerList();
  public event PhoneRingEventHander Ring {
    add { Events.AddHandler(RingEvent, value); }
    remove { Events.RemoveHandler(RingEvent, value); }
  }
  protected virtual void OnRing(PhoneRingEventArgs e) {
    if (Events != null) {
      ((PhoneRingEventHander)Events[RingEvent]).Invoke(this, e);
    }
  }
  public void CallRing(string TelNo) {
    OnRing(new PhoneRingEventArgs(TelNo));
  }
}
