﻿using System;
using System.Web;
public class LogWriterModule : IHttpModule {
  System.IO.StreamWriter sw = null;
  void IHttpModule.Dispose() {
    if (sw != null) {
      sw.Dispose();
    }
  }
  void IHttpModule.Init(HttpApplication context) {
    context.BeginRequest += new EventHandler(OnBeginRequest);
    context.EndRequest += new EventHandler(OnEndRequest);
  }
  private void OnBeginRequest(object sender, System.EventArgs e) {
    HttpApplication application = (HttpApplication)sender;
    if (sw == null) {
      sw = System.IO.File.AppendText(application.Context.Server.MapPath("~/access.log"));
    }
    application.Context.Items.Add("SDATE", DateTime.Now);
  }
  private void OnEndRequest(object sender, System.EventArgs e) {
    HttpApplication application = (HttpApplication)sender;
    DateTime sdate = (DateTime)application.Context.Items["SDATE"];
    DateTime edate = DateTime.Now;
    sw.Write(sdate.ToString("yyyy/MM/dd") + ",");
    sw.Write(sdate.ToString("HH:mm:ss.fff") + ",");
    sw.Write(edate.ToString("HH:mm:ss.fff") + ",");
    sw.Write((edate - sdate).ToString() + ",");
    sw.WriteLine(application.Request.Url.AbsoluteUri);
    sw.Flush();
  }
}
