﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using System.Security.AccessControl;
public partial class Chap05_04 : System.Web.UI.Page {
  protected const string FILE_EXT = ".dmy";
  protected void Page_PreRender(object sender, EventArgs e) {
    DropDownList1.Items.Clear();
    foreach (string name in Directory.GetFiles(Server.MapPath("./"), "*" + FILE_EXT)) {
      DropDownList1.Items.Add(Path.GetFileNameWithoutExtension(name));
    }
  }
  protected void Button1_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), DropDownList1.SelectedValue + FILE_EXT);
    if (File.Exists(path)) {
      File.Delete(path);
    }
  }
  protected void Button2_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), DropDownList1.SelectedValue + FILE_EXT);
    if (!File.Exists(path)) {
      return;
    }
    StringBuilder sb = new StringBuilder("--File Attribute--\r\n");
    FileAttributes attr = File.GetAttributes(path);
    if ((attr & FileAttributes.Archive) == FileAttributes.Archive) {
      sb.Append("  Archive: true\r\n");
    }
    if ((attr & FileAttributes.Hidden) == FileAttributes.Hidden) {
      sb.Append("  Hidden: true\r\n");
    }
    if ((attr & FileAttributes.ReadOnly) == FileAttributes.ReadOnly) {
      sb.Append("  ReadOnly: true\r\n");
    }
    TextBox2.Text = sb.ToString();
  }
  protected void Button3_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), DropDownList1.SelectedValue + FILE_EXT);
    if (!File.Exists(path)) {
      return;
    }
    StringBuilder sb = new StringBuilder("--File Access Security--\r\n");
    FileSecurity security = File.GetAccessControl(path, AccessControlSections.Access);
    Type type = typeof(System.Security.Principal.NTAccount);
    foreach (FileSystemAccessRule role in security.GetAccessRules(true, true, type)) {
      sb.Append("  ");
      sb.Append(role.IdentityReference.ToString());
      sb.Append(":");
      sb.Append(role.FileSystemRights.ToString());
      sb.Append("\r\n");
    }
    TextBox2.Text = sb.ToString();
  }
  protected void Button4_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), TextBox1.Text + FILE_EXT);
    if (!File.Exists(path)) {
      File.WriteAllText(path, TextBox2.Text, Encoding.GetEncoding("Shift_JIS"));
    }
  }
  protected void Button5_Click(object sender, EventArgs e) {
    if (TextBox1.Text == "") {
      return;
    }
    string path1 = Path.Combine(Server.MapPath("./"), DropDownList1.SelectedValue + FILE_EXT);
    string path2 = Path.Combine(Server.MapPath("./"), TextBox1.Text + FILE_EXT);
    if (File.Exists(path1) && !File.Exists(path2)) {
      File.Move(path1, path2);
    }
  }
}
