﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using System.Security.AccessControl;
public partial class Chap05_05 : System.Web.UI.Page {
  protected const string FOLDER_EXT = ".dmy";
  protected void Page_PreRender(object sender, EventArgs e) {
    DropDownList1.Items.Clear();
    foreach (string dir in Directory.GetDirectories(Server.MapPath("./"), "*" + FOLDER_EXT)) {
      this.DropDownList1.Items.Add(Path.GetFileNameWithoutExtension(dir));
    }
  }
  protected void Button1_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), DropDownList1.SelectedValue + FOLDER_EXT);
    if (Directory.Exists(path)) {
      Directory.Delete(path);
    }
  }
  protected void Button2_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), DropDownList1.SelectedValue + FOLDER_EXT);
    if (!Directory.Exists(path)) {
      return;
    }
    StringBuilder sb = new StringBuilder("--Directory Access Security--\r\n");
    FileSecurity security = File.GetAccessControl(path, AccessControlSections.Access);
    Type type = typeof(System.Security.Principal.NTAccount);
    foreach (FileSystemAccessRule role in security.GetAccessRules(true, true, type)) {
      sb.Append("  ");
      sb.Append(role.IdentityReference.ToString());
      sb.Append(":");
      sb.Append(role.FileSystemRights.ToString());
      sb.Append("\r\n");
    }
    TextBox2.Text = sb.ToString();
  }
  protected void Button3_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), TextBox1.Text + FOLDER_EXT);
    if (TextBox1.Text != "" && !Directory.Exists(path)) {
      Directory.CreateDirectory(path);
    }
  }
  protected void Button4_Click(object sender, EventArgs e) {
    string path1 = Path.Combine(Server.MapPath("./"), DropDownList1.SelectedValue + FOLDER_EXT);
    string path2 = Path.Combine(Server.MapPath("./"), TextBox1.Text + FOLDER_EXT);
    if (TextBox1.Text != "" && Directory.Exists(path1) && !Directory.Exists(path2)) {
      Directory.Move(path1, path2);
    }
  }
}
