﻿<%@ WebHandler Language="C#" Class="Chap05_09" %>
using System;
using System.Web;
using System.Drawing;
using System.Drawing.Imaging;
using System.Drawing.Drawing2D;
public class Chap05_09 : IHttpHandler {
  public void ProcessRequest(HttpContext context) {
    context.Response.ContentType = "image/jpeg";
    using (Bitmap bitmap1 = new Bitmap(100, 100, PixelFormat.Format24bppRgb)) {
      using (Graphics graphics1 = Graphics.FromImage(bitmap1)) {
        using (SolidBrush brush = new SolidBrush(Color.Blue)) {
          graphics1.Clear(Color.White);
          graphics1.FillEllipse(brush, 0, 0, 99, 99);
          Size size = new Size();
          if (context.Request.QueryString["SIZE"] == "S") {
            size = new Size(50, 50);
          } else if (context.Request.QueryString["SIZE"] == "L") {
            size = new Size(200, 200);
          } else {
            size = new Size(100, 100);
          }
          using (Bitmap bitmap2 = new Bitmap(size.Width, size.Height, PixelFormat.Format24bppRgb)) {
            using (Graphics graphics2 = Graphics.FromImage(bitmap2)) {
              graphics2.SmoothingMode = SmoothingMode.AntiAlias;
              graphics2.InterpolationMode = InterpolationMode.HighQualityBicubic;
              graphics2.PixelOffsetMode = PixelOffsetMode.HighQuality;
              graphics2.DrawImage(bitmap1, new Rectangle(new Point(0, 0), size));
              bitmap2.Save(context.Response.OutputStream, ImageFormat.Jpeg);
            }
          }
        }
      }
    }
  }
  public bool IsReusable {
    get { return false; }
  }
}
