﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using System.Xml;
public partial class Chap06_12 : System.Web.UI.Page {
  protected const string SEL_ITEMLIST = "/order/itemlist";
  protected const string SEL_ITEM = "/order/itemlist/item";
  protected const string FND_ITEM = "//item[attribute::itemcode='{0}']";
  protected void Page_Load(object sender, EventArgs e) {
    if (!File.Exists(Server.MapPath("./Chap06_12.xml"))) {
      File.Copy(Server.MapPath("./Chap06_04.xml"), Server.MapPath("./Chap06_12.xml"));
    }
    if (!IsPostBack) {
      DataSet ds = new DataSet();
      ds.ReadXml(Server.MapPath("./Chap06_04m.xml"));
      DropDownList1.DataSource = ds.Tables["syohin"].DefaultView;
      DropDownList1.DataTextField = "name";
      DropDownList1.DataValueField = "id";
      DropDownList1.DataBind();
    }
  }
  protected void Page_PreRender(object sender, EventArgs e) {
    DataSet ds = new DataSet();
    ds.ReadXml(Server.MapPath("./Chap06_12.xml"));
    DropDownList2.Items.Clear();
    DropDownList2.DataSource = ds.Tables["item"].DefaultView;
    DropDownList2.DataTextField = "itemcode";
    DropDownList2.DataValueField = "itemcode";
    DropDownList2.DataBind();
    XmlDocument doc = new XmlDocument();
    doc.Load(Server.MapPath("./Chap06_12.xml"));
    XmlNodeList nodes = doc.SelectNodes(SEL_ITEM);
    StringBuilder sb = new StringBuilder();
    foreach (XmlNode node in nodes) {
      sb.Append(XmlNodeToString(node) + "\r\n");
    }
    Literal1.Text = "<pre>" + Server.HtmlEncode(sb.ToString()) + "</pre>";
  }
  private string XmlNodeToString(XmlNode node) {
    StringBuilder sb = new StringBuilder();
    StringWriter wr = new StringWriter(sb);
    XmlTextWriter xw = new XmlTextWriter(wr);
    xw.Formatting = Formatting.Indented;
    node.WriteTo(xw);
    return sb.ToString();
  }
  protected void Button1_Click(object sender, EventArgs e) {
    XmlDocument doc = new XmlDocument();
    doc.Load(Server.MapPath("./Chap06_12.xml"));
    XmlNode node = doc.SelectSingleNode(SEL_ITEMLIST);
    XmlNode item = doc.CreateNode(XmlNodeType.Element, "item", null);
    XmlAttribute name = doc.CreateAttribute("itemcode");
    name.Value = DropDownList1.SelectedValue;
    item.Attributes.Append(name);
    XmlNode price = doc.CreateNode(XmlNodeType.Element, "price", null);
    price.AppendChild(doc.CreateTextNode(TextBox1.Text));
    item.AppendChild(price);
    XmlNode count = doc.CreateNode(XmlNodeType.Element, "count", null);
    count.AppendChild(doc.CreateTextNode(TextBox2.Text));
    item.AppendChild(count);
    node.AppendChild(item);
    doc.Save(Server.MapPath("./Chap06_12.xml"));
  }
  protected void Button2_Click(object sender, EventArgs e) {
    XmlDocument doc = new XmlDocument();
    doc.Load(Server.MapPath("./Chap06_12.xml"));
    XmlNode parent = doc.SelectSingleNode(SEL_ITEMLIST);
    XmlNode node = parent.SelectSingleNode(string.Format(FND_ITEM, DropDownList2.SelectedValue));
    if (node != null) {
      parent.RemoveChild(node);
      doc.Save(Server.MapPath("./Chap06_12.xml"));
    }
  }
}
