﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;
public partial class Chap06_15 : System.Web.UI.Page {
  protected const string SEL_ITEMLIST = "/order/itemlist";
  protected void Page_Load(object sender, EventArgs e) {
    if (!File.Exists(Server.MapPath("./Chap06_15.xml"))) {
      File.Copy(Server.MapPath("./Chap06_04.xml"), Server.MapPath("./Chap06_15.xml"));
    }
    if (!IsPostBack) {
      DataSet ds = new DataSet();
      ds.ReadXml(Server.MapPath("./Chap06_04m.xml"));
      DropDownList1.DataSource = ds.Tables["syohin"].DefaultView;
      DropDownList1.DataTextField = "name";
      DropDownList1.DataValueField = "id";
      DropDownList1.DataBind();
    }
  }
  protected void Page_PreRender(object sender, EventArgs e) {
    string xmlFile = Server.MapPath("./Chap06_15.xml");
    string xslFile = Server.MapPath("./Chap06_15.xsl");
    StringBuilder sb = new StringBuilder();
    StringWriter sw = new StringWriter(sb);
    try {
      XsltSettings settings = new XsltSettings(true, false);
      XslCompiledTransform xslt = new XslCompiledTransform();
      xslt.Load(xslFile, settings, new XmlUrlResolver());
      xslt.Transform(new XPathDocument(xmlFile), null, sw);
      Literal1.Text = "<pre>" + Server.HtmlEncode(sb.ToString()) + "</pre>";
    } catch (Exception exp) {
      Literal1.Text = exp.ToString();
    }
  }
  protected void Button1_Click(object sender, EventArgs e) {
    XmlDocument doc = new XmlDocument();
    doc.Load(Server.MapPath("./Chap06_15.xml"));
    XmlNode node = doc.SelectSingleNode(SEL_ITEMLIST);
    XmlNode item = doc.CreateNode(XmlNodeType.Element, "item", null);
    XmlAttribute name = doc.CreateAttribute("itemcode");
    name.Value = DropDownList1.SelectedValue;
    item.Attributes.Append(name);
    XmlNode price = doc.CreateNode(XmlNodeType.Element, "price", null);
    price.AppendChild(doc.CreateTextNode(TextBox1.Text));
    item.AppendChild(price);
    XmlNode count = doc.CreateNode(XmlNodeType.Element, "count", null);
    count.AppendChild(doc.CreateTextNode(TextBox2.Text));
    item.AppendChild(count);
    node.AppendChild(item);
    doc.Save(Server.MapPath("./Chap06_15.xml"));
  }
}
