<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes"/>
  <xsl:variable name="master" select="document('Chap06_04m.xml')"/>
  <xsl:template match="itemlist">
    <itemlist>
      <xsl:apply-templates select="item"/>
    </itemlist>
  </xsl:template>
  <xsl:template match="item">
    <xsl:param name="itemcode">
      <xsl:value-of select="@itemcode"/>
    </xsl:param>
    <item>
      <xsl:attribute name="itemcode">
        <xsl:value-of select="@itemcode"/>
      </xsl:attribute>
      <type><xsl:value-of select="$master//syohinlist/syohin[@id=$itemcode]/type"/></type>
      <name><xsl:value-of select="$master//syohinlist/syohin[@id=$itemcode]/name"/></name>
      <price>
        <xsl:choose>
          <xsl:when test="price > 0">
            <xsl:value-of select="price"/>
          </xsl:when>
          <xsl:otherwise>
            [<xsl:value-of select="$master//syohinlist/syohin[@id=$itemcode]/price"/>]
          </xsl:otherwise>
        </xsl:choose>
      </price>
      <count><xsl:value-of select="count"/></count>
    </item>
  </xsl:template>
</xsl:stylesheet>
