﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using System.Data.Common;
namespace BlogDataSetTableAdapters {
  public partial class BlogEntryTBLTableAdapter {
    public Dictionary<string, int> GetEntryDays(int? Year, int? Month) {
      Dictionary<string, int> result = new Dictionary<string, int>();
      DbCommand command = Connection.CreateCommand();
      command.CommandText = "BlogEntryTBL_GetEntryDays";
      command.CommandType = CommandType.StoredProcedure;
      DbParameter param1 = command.CreateParameter();
      param1.DbType = DbType.Int32;
      param1.ParameterName = "@Year";
      param1.Value = Year;
      command.Parameters.Add(param1);
      DbParameter param2 = command.CreateParameter();
      param2.DbType = DbType.Int32;
      param2.ParameterName = "@Month";
      param2.Value = Month;
      command.Parameters.Add(param2);
      try {
        Connection.Open();
        using (DbDataReader reader = command.ExecuteReader()) {
          if (reader.HasRows) {
            while (reader.Read()) {
              result.Add(reader.GetString(0), reader.GetInt32(1));
            }
          }
        }
      } finally {
        Connection.Close();
      }
      return result;
    }
  }
}
