﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
namespace AspNet2.Chap10 {
  public class MyControlBase : UserControl {
    public MyControlBase() : base() {
      Init += new EventHandler(Local_PageInit);
    }
    protected void Local_PageInit(object sender, EventArgs e) {
      GenericWebPart parent = this.Parent as GenericWebPart;
      if (parent != null) {
        if (parent.CatalogIconImageUrl == string.Empty) {
          parent.CatalogIconImageUrl = GetResourceString(this.ID + ".CatalogIconImageUrl");
        }
        if (parent.Description == string.Empty) {
          parent.Description = GetResourceString(this.ID + ".Description");
        }
        if (parent.Title == string.Empty) {
          parent.Title = GetResourceString(this.ID + ".Title");
        }
        if (parent.TitleIconImageUrl == string.Empty) {
          parent.TitleIconImageUrl = GetResourceString(this.ID + ".TitleIconImageUrl");
        }
        if (parent.TitleUrl == string.Empty) {
          parent.TitleUrl = GetResourceString(this.ID + ".TitleUrl");
        }
      }
    }
    protected string ViewFormat(object data, bool encode) {
      string result = (data != null) ? data.ToString() : string.Empty;
      if (encode) {
        result = HttpUtility.HtmlEncode(result);
      }
      return result.Replace("\r\n", "<br />");
    }
    protected string GetResourceString(string key) {
      try {
        object result = GetLocalResourceObject(key);
        if (result != null) {
          return result.ToString();
        }
      } catch (System.Resources.MissingManifestResourceException) {
      }
      return string.Empty;
    }
  }
}
