﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UserDataSetTableAdapters;
namespace AspNet2.Chap10 {
  public class MyPageBase : System.Web.UI.Page {
    protected string ViewFormat(object data, bool encode) {
      string result = (data != null) ? data.ToString() : string.Empty;
      if (encode) {
        result = HttpUtility.HtmlEncode(result);
      }
      return result.Replace("\r\n", "<br />");
    }
    protected string GetResourceString(string key) {
      try {
        object result = GetLocalResourceObject(key);
        if (result != null) {
          return result.ToString();
        }
      } catch (System.Resources.MissingManifestResourceException) {
      }
      return string.Empty;
    }
    public override string StyleSheetTheme {
      get {
        if (User.Identity.IsAuthenticated) {
          Guid userId = (Guid)Membership.GetUser(User.Identity.Name).ProviderUserKey;
          using (UserTBLTableAdapter adapter = new UserTBLTableAdapter()) {
            UserDataSet.UserTBLDataTable table = adapter.GetUser(userId);
            if (table.Count == 1) {
              return table[0].ThemeName;
            }
          }
        }
        return base.StyleSheetTheme;
      }
      set { base.StyleSheetTheme = value; }
    }
  }
}
