﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using BlogDataSetTableAdapters;
public partial class BlogCalender : AspNet2.Chap10.MyControlBase {
  protected int Month {
    get { return (int)ViewState["Month"]; }
    set { ViewState["Month"] = value; }
  }
  protected Dictionary<string, int> Days {
    get { return (Dictionary<string, int>)ViewState["Days"]; }
    set { ViewState["Days"] = value; }
  }
  protected void Page_Load(object sender, EventArgs e) {
    if (!IsPostBack) {
      Month = Calendar1.TodaysDate.Month;
      using (BlogEntryTBLTableAdapter adapter = new BlogEntryTBLTableAdapter()) {
        Days = adapter.GetEntryDays(Calendar1.TodaysDate.Year, Month);
      }
    }
  }
  protected void Calendar1_DayRender(object sender, DayRenderEventArgs e) {
    string date = e.Day.Date.ToString("yyyy/MM/dd");
    if (Days.ContainsKey(date)) {
      e.Cell.Controls.Clear();
      HyperLink link = new HyperLink();
      link.Text = e.Day.Date.Day.ToString();
      link.NavigateUrl = "~/DaysViewer.aspx?Date=" + date;
      link.ToolTip = string.Format(GetResourceString("DayLink.ToolTip"), Days[date]);
      e.Cell.Controls.Add(link);
    } else {
      e.Cell.Controls.Clear();
      e.Cell.Controls.Add(new LiteralControl(e.Day.Date.Day.ToString()));
    }
  }
  protected void Calendar1_VisibleMonthChanged(object sender, MonthChangedEventArgs e) {
    Month = e.NewDate.Month;
    using (BlogEntryTBLTableAdapter adapter = new BlogEntryTBLTableAdapter()) {
      Days = adapter.GetEntryDays(e.NewDate.Year, Month);
    }
  }
}
