﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using BlogDataSetTableAdapters;
public partial class Editor_EntryEditor : AspNet2.Chap10.MyControlBase {
  protected void Page_Load(object sender, EventArgs e) {
    if (!IsPostBack) {
      Categories.Items.Add(new ListItem(GetResourceString("Categories.AddNew"), Guid.Empty.ToString()));
      using (BlogCategoryTBLTableAdapter adapter = new BlogCategoryTBLTableAdapter()) {
        BlogDataSet.BlogCategoryTBLDataTable table = adapter.GetCategories();
        for (int i = 0; i < table.Count; i++) {
          Categories.Items.Add(new ListItem(table[i].CategoryName, table[i].CategoryId.ToString()));
        }
      }
      if (Request.QueryString["EntryId"] == null) {
        btnDelete.Visible = false;
      } else {
        Guid? entryId = new Guid(Request.QueryString["EntryId"]);
        using (BlogEntryTBLTableAdapter adapter = new BlogEntryTBLTableAdapter()) {
          BlogDataSet.BlogEntryTBLDataTable table = adapter.GetEntry(entryId);
          if (table.Count != 1) {
            Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
          }
          TitleText.Text = table[0].EntryTitle;
          BodyText.Text = table[0].EntryBody;
          Categories.SelectedValue = table[0].CategoryId.ToString();
          CategoryText.Text = string.Empty;
        }
      }
    }
  }
  protected void btnCreate_Click(object sender, EventArgs e) {
    Guid? userId = (Guid)Membership.GetUser(Page.User.Identity.Name).ProviderUserKey;
    Guid? categoryId = new Guid(Categories.SelectedValue);
    if (categoryId == Guid.Empty && CategoryText.Text == "") {
      return;
    }
    if (categoryId == Guid.Empty) {
      categoryId = Guid.NewGuid();
      using (BlogCategoryTBLTableAdapter adapter = new BlogCategoryTBLTableAdapter()) {
        adapter.UpdateCategory(categoryId, CategoryText.Text);
      }
    }
    Guid? entryId = Guid.NewGuid();
    if (Request.QueryString["EntryId"] != null) {
      entryId = new Guid(Request.QueryString["EntryId"]);
    }
    bool hasAttach = false;
    if (AttachFile.HasFile) {
      using (BlogAttachTBLTableAdapter adapter = new BlogAttachTBLTableAdapter()) {
        adapter.UpdateAttach(entryId, AttachFile.FileName, AttachFile.FileBytes.Length, AttachFile.FileBytes, AttachFile.PostedFile.ContentType);
      }
      hasAttach = true;
    }
    using (BlogEntryTBLTableAdapter adapter = new BlogEntryTBLTableAdapter()) {
      adapter.UpdateEntry(entryId, userId, categoryId, TitleText.Text, BodyText.Text, hasAttach);
    }
    Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
  }
  protected void btnDelete_Click(object sender, EventArgs e) {
    Guid? entryId = new Guid(Request.QueryString["EntryId"]);
    using (BlogEntryTBLTableAdapter adapter = new BlogEntryTBLTableAdapter()) {
      adapter.DeleteEntry(entryId);
    }
    Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
  }
  protected void btnCancel_Click(object sender, EventArgs e) {
    Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
  }
}
